/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 直播间详情表(tbl_live_room)
 *
 * @author bianj
 * @version 1.0.0 2017-07-03
 */
@Entity
@Table(name = "tbl_live_room")
public class Tbl_Live_Room implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = -9036392996642877776L;

    /**
     * 直播间Id
     */
    @Id
    @Column(name = "room_id", unique = true, nullable = false, length = 10)
    private Integer roomId;

    /**
     * 用户Id
     */
    @Column(name = "user_id", unique = true, nullable = false, length = 10)
    private Integer userId;

    /**
     * 摄像头ID
     */
    @Column(name = "camera_id", nullable = false, length = 20)
    private String cameraId;

    /**
     * 直播间名称
     */
    @Column(name = "room_name", nullable = true, length = 20)
    private String roomName;

    /**
     * 直播间描述
     */
    @Column(name = "room_desc", nullable = true, length = 70)
    private String roomDesc;

    /**
     *     */
    @Column(name = "room_img", nullable = true, length = 100)
    private String roomImg;

    /**
     * 直播间状态：1直播、0关闭
     */
    @Column(name = "room_status", nullable = true, length = 1)
    private String roomStatus;

    /**
     * 人气值
     */
    @Column(name = "popularity_value", nullable = false, length = 10)
    private Integer popularityValue;

    /**
     * 点赞数量
     */
    @Column(name = "zanNum", nullable = true, length = 10)
    private Integer zanNum;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     *     */
    @Column(name = "update_time", nullable = true)
    private Date updateTime;

    /**
     * 获取直播间Id
     *
     * @return 直播间Id
     */
    public Integer getRoomId() {
        return this.roomId;
    }

    /**
     * 设置直播间Id
     *
     * @param roomId 直播间Id
     */
    public void setRoomId(Integer roomId) {
        this.roomId = roomId;
    }

    /**
     * 获取用户Id
     *
     * @return 用户Id
     */
    public Integer getUserId() {
        return this.userId;
    }

    /**
     * 设置用户Id
     *
     * @param userId 用户Id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取摄像头ID
     *
     * @return 摄像头ID
     */
    public String getCameraId() {
        return this.cameraId;
    }

    /**
     * 设置摄像头ID
     *
     * @param cameraId 摄像头ID
     */
    public void setCameraId(String cameraId) {
        this.cameraId = cameraId;
    }

    /**
     * 获取直播间名称
     *
     * @return 直播间名称
     */
    public String getRoomName() {
        return this.roomName;
    }

    /**
     * 设置直播间名称
     *
     * @param roomName 直播间名称
     */
    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    /**
     * 获取直播间描述
     *
     * @return 直播间描述
     */
    public String getRoomDesc() {
        return this.roomDesc;
    }

    /**
     * 设置直播间描述
     *
     * @param roomDesc 直播间描述
     */
    public void setRoomDesc(String roomDesc) {
        this.roomDesc = roomDesc;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getRoomImg() {
        return this.roomImg;
    }

    /**
     * 设置
     *
     * @param roomImg
     *
     */
    public void setRoomImg(String roomImg) {
        this.roomImg = roomImg;
    }

    /**
     * 获取直播间状态：1直播、0关闭
     *
     * @return 直播间状态
     */
    public String getRoomStatus() {
        return this.roomStatus;
    }

    /**
     * 设置直播间状态：1直播、0关闭
     *
     * @param roomStatus 直播间状态：1直播、0关闭
     */
    public void setRoomStatus(String roomStatus) {
        this.roomStatus = roomStatus;
    }

    /**
     * 获取人气值
     *
     * @return 人气值
     */
    public Integer getPopularityValue() {
        return this.popularityValue;
    }

    /**
     * 设置人气值
     *
     * @param popularityValue 人气值
     */
    public void setPopularityValue(Integer popularityValue) {
        this.popularityValue = popularityValue;
    }

    /**
     * 获取点赞数量
     *
     * @return 点赞数量
     */
    public Integer getZanNum() {
        return this.zanNum;
    }

    /**
     * 设置点赞数量
     *
     * @param zanNum 点赞数量
     */
    public void setZanNum(Integer zanNum) {
        this.zanNum = zanNum;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取
     *
     * @return
     */
    public Date getUpdateTime() {
        return this.updateTime;
    }

    /**
     * 设置
     *
     * @param updateTime
     *
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
